Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
ezpRestDebug Class Reference

## Public Member Functions
| getReport ()
| updateDebugSettings ()
| __call ( $method, $arguments)

## Static Public Member Functions
static | getInstance ()
static | isDebugEnabled ()

## Private Member Functions
| __construct ()

## Private Attributes
| $restINI
| $eZDebug
| $debug

## Static Private Attributes
static | $instance
static | $isDebugEnabled

## Detailed Description

Definition at line 11 of file debug.php.

## Constructor & Destructor Documentation

## ◆ __construct()

ezpRestDebug::__construct | ( |  | ) |
| private

Private constructor

Definition at line 39 of file debug.php.

References eZDebug\instance().

## Member Function Documentation

## ◆ __call()

ezpRestDebug::__call | ( |  | $method,
|  |  | $arguments
| ) |  |

Generic safe way to access ezcDebug public methods

Parameters

  $method |
  $arguments |

Definition at line 127 of file debug.php.

## ◆ getInstance()

static ezpRestDebug::getInstance | ( |  | ) |
| static

Singleton. Get instance of the class

Definition at line 50 of file debug.php.

References $instance, and $instance.

Referenced by ezpKernelRest\__construct(), ezpRestMvcController\createResult(), and ezpRestRouter\getCachedRoutes().

## ◆ getReport()

ezpRestDebug::getReport | ( |  | ) |

Returns debug report

Definition at line 83 of file debug.php.

References eZDebug\printReportInternal().

## ◆ isDebugEnabled()

static ezpRestDebug::isDebugEnabled | ( |  | ) |
| static

Checks if debug is enabled (locally in rest.ini and globally in site.ini)

Returns
  bool

Definition at line 64 of file debug.php.

References $isDebugEnabled.

Referenced by ezpKernelRest\__construct(), and ezpRestMvcController\createResult().

## ◆ updateDebugSettings()

ezpRestDebug::updateDebugSettings | ( |  | ) |

Initializes/updates debug settings, system wide

Definition at line 99 of file debug.php.

References $ini, $level, $logList, $name, eZDebug\LEVEL_DEBUG, eZDebug\LEVEL_ERROR, eZDebug\LEVEL_NOTICE, eZDebug\LEVEL_STRICT, eZDebug\LEVEL_WARNING, and eZDebug\updateSettings().

## Member Data Documentation

## ◆ $debug

ezpRestDebug::$debug
| private

Definition at line 29 of file debug.php.

## ◆ $eZDebug

ezpRestDebug::$eZDebug
| private

Definition at line 24 of file debug.php.

## ◆ $instance

ezpRestDebug::$instance
| static private

Definition at line 13 of file debug.php.

Referenced by getInstance().

## ◆ $isDebugEnabled

ezpRestDebug::$isDebugEnabled
| static private

Definition at line 34 of file debug.php.

Referenced by isDebugEnabled().

## ◆ $restINI

ezpRestDebug::$restINI
| private

Definition at line 18 of file debug.php.

The documentation for this class was generated from the following file:

- debug.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.